local M = {}

local function updateGFX(dt)
    local gearBox = powertrain.getDevice("gearbox")
    local rearGearBox = powertrain.getDevice("rearGearbox")

    if gearBox and rearGearBox then
        rearGearBox:setGearIndex(gearBox.gearIndex)
    end


    local mainEngine = powertrain.getDevice("mainEngine")
    local rearEngine = powertrain.getDevice("rearEngine")

    if mainEngine and rearEngine and mainEngine.ignitionCoef ~= rearEngine.ignitionCoef then
        rearEngine:setIgnition(mainEngine.ignitionCoef)
    end

    if mainEngine and rearEngine and mainEngine.starterEngagedCoef == 1 then
        rearEngine:activateStarter()
    elseif mainEngine and rearEngine and rearEngine.starterEngagedCoef == 1 then
        rearEngine:deactivateStarter()
    end
end

M.updateGFX = updateGFX

return M